uk.ac.starlink.votable

## Class UnifiedFitsTableWriter.Col

- java.lang.Object
- - uk.ac.starlink.table.StreamStarTableWriter
  - - uk.ac.starlink.fits.AbstractFitsTableWriter
    - - uk.ac.starlink.fits.FitsTableWriter
      - - uk.ac.starlink.votable.UnifiedFitsTableWriter
        - - uk.ac.starlink.votable.UnifiedFitsTableWriter.Col

- All Implemented Interfaces:
    Documented, DocumentedIOHandler, MultiStarTableWriter, StarTableWriter
  Enclosing class:
    UnifiedFitsTableWriter

      public static class UnifiedFitsTableWriter.Col
      extends UnifiedFitsTableWriter

  Subclass with default configuration but colfits set true.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class uk.ac.starlink.votable.UnifiedFitsTableWriter

      `UnifiedFitsTableWriter.Col`

    - ### Nested classes/interfaces inherited from class uk.ac.starlink.fits.FitsTableWriter

      `FitsTableWriter.PrimaryType, FitsTableWriter.VarArrayMode`

  - ### Field Summary

    - ### Fields inherited from class uk.ac.starlink.votable.UnifiedFitsTableWriter

      `BASIC_PRIMARY_TYPE, NONE_PRIMARY_TYPE, VOTABLE_PRIMARY_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Col()`

  - ### Method Summary

    - ### Methods inherited from class uk.ac.starlink.votable.UnifiedFitsTableWriter

      `createVOTablePrimaryType, docIncludesExample, getExtensions, getXmlDescription, looksLikeFile, setColfits, setPrimaryType, setVarArray, toPrimaryTypeInstance`

    - ### Methods inherited from class uk.ac.starlink.fits.FitsTableWriter

      `createSerializer, getAllowSignedByte, getPrimaryType, getStoragePolicy, getVarArray, isColfits, setStoragePolicy, writeStarTables`

    - ### Methods inherited from class uk.ac.starlink.fits.AbstractFitsTableWriter

      `getAllowZeroLengthString, getConfig, getCurrentDate, getFormatName, getMetadataCards, getMimeType, getPadCharacter, getUnicodeHandler, getWide, getWriteDate, setAllowSignedByte, setAllowZeroLengthString, setFormatName, setPadCharacter, setUnicodeHandler, setWide, setWriteDate, writePrimaryHDU, writeStarTable, writeStarTables, writeTableHDU`

    - ### Methods inherited from class uk.ac.starlink.table.StreamStarTableWriter

      `writeStarTable, writeStarTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface uk.ac.starlink.table.formats.DocumentedIOHandler

      `matchesExtension, readText, toLink`

    - ### Methods inherited from interface uk.ac.starlink.table.StarTableWriter

      `writeStarTable`

- - ### Constructor Detail

    - #### Col

          public Col()